section .text

.globl PBMAIN
PBMAIN:
entry:
    push rbp
    mov rbp, rsp
    push rbx
    push rsi
    sub rsp, 32
    xor r10, r10
    xor rbx, rbx
    mov [rbp-24], rbx
    xor r10, r10
    xor rbx, rbx
    mov [rbp-32], rbx
    xor r10, r10
    xor rbx, rbx
    mov [rbp-40], rbx
    sub rsp, 32
    call c_hlib_lnarr_new
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-32], rbx
    sub rsp, 32
    call c_hlib_lnarr_new
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-32], rbx
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 10
    sub rsp, 32
    call c_hlib_lnarr_add
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 20
    sub rsp, 32
    call c_hlib_lnarr_add
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 30
    sub rsp, 32
    call c_hlib_lnarr_add
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 3
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_0
    jmp pb_if_else_PBMAIN_1
pb_if_then_PBMAIN_0:
    mov r10, 1
    mov rbx, 1
    mov [rbp-24], 1
    jmp pb_if_end_PBMAIN_2
pb_if_else_PBMAIN_1:
    jmp pb_if_end_PBMAIN_2
pb_if_end_PBMAIN_2:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_3:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_4
    jmp pb_if_else_PBMAIN_5
pb_if_then_PBMAIN_4:
    mov r10, 2
    mov rbx, 2
    mov [rbp-24], 2
    jmp pb_if_end_PBMAIN_6
pb_if_else_PBMAIN_5:
    jmp pb_if_end_PBMAIN_6
pb_if_end_PBMAIN_6:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_7:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 20
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_8
    jmp pb_if_else_PBMAIN_9
pb_if_then_PBMAIN_8:
    mov r10, 3
    mov rbx, 3
    mov [rbp-24], 3
    jmp pb_if_end_PBMAIN_10
pb_if_else_PBMAIN_9:
    jmp pb_if_end_PBMAIN_10
pb_if_end_PBMAIN_10:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_11:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 3
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 30
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_12
    jmp pb_if_else_PBMAIN_13
pb_if_then_PBMAIN_12:
    mov r10, 4
    mov rbx, 4
    mov [rbp-24], 4
    jmp pb_if_end_PBMAIN_14
pb_if_else_PBMAIN_13:
    jmp pb_if_end_PBMAIN_14
pb_if_end_PBMAIN_14:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    mov r8, 25
    sub rsp, 32
    call c_hlib_lnarr_set
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 25
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_15
    jmp pb_if_else_PBMAIN_16
pb_if_then_PBMAIN_15:
    mov r10, 5
    mov rbx, 5
    mov [rbp-24], 5
    jmp pb_if_end_PBMAIN_17
pb_if_else_PBMAIN_16:
    jmp pb_if_end_PBMAIN_17
pb_if_end_PBMAIN_17:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    mov r8, 15
    sub rsp, 32
    call c_hlib_lnarr_ins
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 4
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_18
    jmp pb_if_else_PBMAIN_19
pb_if_then_PBMAIN_18:
    mov r10, 6
    mov rbx, 6
    mov [rbp-24], 6
    jmp pb_if_end_PBMAIN_20
pb_if_else_PBMAIN_19:
    jmp pb_if_end_PBMAIN_20
pb_if_end_PBMAIN_20:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_21:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_22
    jmp pb_if_else_PBMAIN_23
pb_if_then_PBMAIN_22:
    mov r10, 7
    mov rbx, 7
    mov [rbp-24], 7
    jmp pb_if_end_PBMAIN_24
pb_if_else_PBMAIN_23:
    jmp pb_if_end_PBMAIN_24
pb_if_end_PBMAIN_24:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_25:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 15
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_26
    jmp pb_if_else_PBMAIN_27
pb_if_then_PBMAIN_26:
    mov r10, 8
    mov rbx, 8
    mov [rbp-24], 8
    jmp pb_if_end_PBMAIN_28
pb_if_else_PBMAIN_27:
    jmp pb_if_end_PBMAIN_28
pb_if_end_PBMAIN_28:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 3
    sub rsp, 32
    call c_hlib_lnarr_del
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 3
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_29
    jmp pb_if_else_PBMAIN_30
pb_if_then_PBMAIN_29:
    mov r10, 9
    mov rbx, 9
    mov [rbp-24], 9
    jmp pb_if_end_PBMAIN_31
pb_if_else_PBMAIN_30:
    jmp pb_if_end_PBMAIN_31
pb_if_end_PBMAIN_31:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_32:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_33
    jmp pb_if_else_PBMAIN_34
pb_if_then_PBMAIN_33:
    mov r10, 10
    mov rbx, 10
    mov [rbp-24], 10
    jmp pb_if_end_PBMAIN_35
pb_if_else_PBMAIN_34:
    jmp pb_if_end_PBMAIN_35
pb_if_end_PBMAIN_35:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_36:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 2
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 15
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_37
    jmp pb_if_else_PBMAIN_38
pb_if_then_PBMAIN_37:
    mov r10, 11
    mov rbx, 11
    mov [rbp-24], 11
    jmp pb_if_end_PBMAIN_39
pb_if_else_PBMAIN_38:
    jmp pb_if_end_PBMAIN_39
pb_if_end_PBMAIN_39:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_40:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 3
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 30
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_41
    jmp pb_if_else_PBMAIN_42
pb_if_then_PBMAIN_41:
    mov r10, 12
    mov rbx, 12
    mov [rbp-24], 12
    jmp pb_if_end_PBMAIN_43
pb_if_else_PBMAIN_42:
    jmp pb_if_end_PBMAIN_43
pb_if_end_PBMAIN_43:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_44:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 15
    sub rsp, 32
    call c_hlib_lnarr_contains
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    test rbx, rbx
    mov r10, 0
    sete r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_45
    jmp pb_if_else_PBMAIN_46
pb_if_then_PBMAIN_45:
    mov r10, 13
    mov rbx, 13
    mov [rbp-24], 13
    jmp pb_if_end_PBMAIN_47
pb_if_else_PBMAIN_46:
    jmp pb_if_end_PBMAIN_47
pb_if_end_PBMAIN_47:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_48:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 99
    sub rsp, 32
    call c_hlib_lnarr_contains
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    test rbx, rbx
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_49
    jmp pb_if_else_PBMAIN_50
pb_if_then_PBMAIN_49:
    mov r10, 14
    mov rbx, 14
    mov [rbp-24], 14
    jmp pb_if_end_PBMAIN_51
pb_if_else_PBMAIN_50:
    jmp pb_if_end_PBMAIN_51
pb_if_end_PBMAIN_51:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_52:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 15
    sub rsp, 32
    call c_hlib_lnarr_index_of
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 2
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_53
    jmp pb_if_else_PBMAIN_54
pb_if_then_PBMAIN_53:
    mov r10, 15
    mov rbx, 15
    mov [rbp-24], 15
    jmp pb_if_end_PBMAIN_55
pb_if_else_PBMAIN_54:
    jmp pb_if_end_PBMAIN_55
pb_if_end_PBMAIN_55:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    mov r8, 3
    sub rsp, 32
    call c_hlib_lnarr_swap
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 30
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_56
    jmp pb_if_else_PBMAIN_57
pb_if_then_PBMAIN_56:
    mov r10, 16
    mov rbx, 16
    mov [rbp-24], 16
    jmp pb_if_end_PBMAIN_58
pb_if_else_PBMAIN_57:
    jmp pb_if_end_PBMAIN_58
pb_if_end_PBMAIN_58:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_59:
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 3
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_60
    jmp pb_if_else_PBMAIN_61
pb_if_then_PBMAIN_60:
    mov r10, 17
    mov rbx, 17
    mov [rbp-24], 17
    jmp pb_if_end_PBMAIN_62
pb_if_else_PBMAIN_61:
    jmp pb_if_end_PBMAIN_62
pb_if_end_PBMAIN_62:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_reverse
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_63
    jmp pb_if_else_PBMAIN_64
pb_if_then_PBMAIN_63:
    mov r10, 18
    mov rbx, 18
    mov [rbp-24], 18
    jmp pb_if_end_PBMAIN_65
pb_if_else_PBMAIN_64:
    jmp pb_if_end_PBMAIN_65
pb_if_end_PBMAIN_65:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_sort
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 10
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_66
    jmp pb_if_else_PBMAIN_67
pb_if_then_PBMAIN_66:
    mov r10, 19
    mov rbx, 19
    mov [rbp-24], 19
    jmp pb_if_end_PBMAIN_68
pb_if_else_PBMAIN_67:
    jmp pb_if_end_PBMAIN_68
pb_if_end_PBMAIN_68:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_69:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 3
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_70
    jmp pb_if_else_PBMAIN_71
pb_if_then_PBMAIN_70:
    mov r10, 20
    mov rbx, 20
    mov [rbp-24], 20
    jmp pb_if_end_PBMAIN_72
pb_if_else_PBMAIN_71:
    jmp pb_if_end_PBMAIN_72
pb_if_end_PBMAIN_72:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 5
    sub rsp, 32
    call c_hlib_lnarr_push_first
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    mov rdx, 1
    sub rsp, 32
    call c_hlib_lnarr_get
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 5
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_73
    jmp pb_if_else_PBMAIN_74
pb_if_then_PBMAIN_73:
    mov r10, 21
    mov rbx, 21
    mov [rbp-24], 21
    jmp pb_if_end_PBMAIN_75
pb_if_else_PBMAIN_74:
    jmp pb_if_end_PBMAIN_75
pb_if_end_PBMAIN_75:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_76:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_peek_first
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 5
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_77
    jmp pb_if_else_PBMAIN_78
pb_if_then_PBMAIN_77:
    mov r10, 22
    mov rbx, 22
    mov [rbp-24], 22
    jmp pb_if_end_PBMAIN_79
pb_if_else_PBMAIN_78:
    jmp pb_if_end_PBMAIN_79
pb_if_end_PBMAIN_79:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_80:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_peek_last
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 30
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_81
    jmp pb_if_else_PBMAIN_82
pb_if_then_PBMAIN_81:
    mov r10, 23
    mov rbx, 23
    mov [rbp-24], 23
    jmp pb_if_end_PBMAIN_83
pb_if_else_PBMAIN_82:
    jmp pb_if_end_PBMAIN_83
pb_if_end_PBMAIN_83:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_84:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_pop_first
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 5
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_85
    jmp pb_if_else_PBMAIN_86
pb_if_then_PBMAIN_85:
    mov r10, 24
    mov rbx, 24
    mov [rbp-24], 24
    jmp pb_if_end_PBMAIN_87
pb_if_else_PBMAIN_86:
    jmp pb_if_end_PBMAIN_87
pb_if_end_PBMAIN_87:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_88:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 3
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_89
    jmp pb_if_else_PBMAIN_90
pb_if_then_PBMAIN_89:
    mov r10, 25
    mov rbx, 25
    mov [rbp-24], 25
    jmp pb_if_end_PBMAIN_91
pb_if_else_PBMAIN_90:
    jmp pb_if_end_PBMAIN_91
pb_if_end_PBMAIN_91:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_92:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_pop_last
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 30
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_93
    jmp pb_if_else_PBMAIN_94
pb_if_then_PBMAIN_93:
    mov r10, 26
    mov rbx, 26
    mov [rbp-24], 26
    jmp pb_if_end_PBMAIN_95
pb_if_else_PBMAIN_94:
    jmp pb_if_end_PBMAIN_95
pb_if_end_PBMAIN_95:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
pb_dead_PBMAIN_96:
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    cmp rbx, 2
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_97
    jmp pb_if_else_PBMAIN_98
pb_if_then_PBMAIN_97:
    mov r10, 27
    mov rbx, 27
    mov [rbp-24], 27
    jmp pb_if_end_PBMAIN_99
pb_if_else_PBMAIN_98:
    jmp pb_if_end_PBMAIN_99
pb_if_end_PBMAIN_99:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_clear
    add rsp, 32
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_count
    add rsp, 32
    mov rbx, rax
    nop
    mov [rbp-40], rbx
    mov r10, [rbp-40]
    mov rbx, r10
    test rbx, rbx
    mov r10, 0
    setne r10
    mov rbx, r10
    test rbx, rbx
    jne pb_if_then_PBMAIN_100
    jmp pb_if_else_PBMAIN_101
pb_if_then_PBMAIN_100:
    mov r10, 28
    mov rbx, 28
    mov [rbp-24], 28
    jmp pb_if_end_PBMAIN_102
pb_if_else_PBMAIN_101:
    jmp pb_if_end_PBMAIN_102
pb_if_end_PBMAIN_102:
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor r10, r10
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret
    mov r10, [rbp-32]
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    mov rbx, rax
    xor r10, r10
    xor rbx, rbx
    mov [rbp-24], rbx
    mov r10, [rbp-24]
    mov rbx, r10
    mov r10, [rbp-32]
    mov rsi, r10
    mov rcx, r10
    sub rsp, 32
    call c_hlib_lnarr_final
    add rsp, 32
    xor rsi, rsi
    mov [rbp-32], rsi
    mov rax, rbx
    add rsp, 32
    pop rsi
    pop rbx
    pop rbp
    ret

